Skip to main content
This endpoint is used by the Portal.io Zapier integration. It fires when a payment’s status changes in your Portal.io account.

Endpoint

GET /zapier/trigger/payment

Headers

HeaderRequiredDescription
AcceptYesMust be application/json

Response

A 200 response returns the payment details including status, amount, and associated proposal information.
{
  "id": 0,
  "description": "string",
  "status": "string",
  "amount": 0,
  "createdDate": "2019-08-24T14:15:22Z",
  "modifiedDate": "2019-08-24T14:15:22Z",
  "dueDate": "2019-08-24T14:15:22Z",
  "initiatedPaymentDate": "2019-08-24T14:15:22Z",
  "paidDate": "2019-08-24T14:15:22Z",
  "clientName": "string",
  "personId": 0,
  "proposalId": 0,
  "number": 0,
  "paidVia": "string",
  "isEstExpired": true,
  "paymentProcessorType": "string",
  "proposalPaymentScheduleItemId": 0
}
This endpoint is designed for the Portal.io Zapier integration. If you are building a direct integration rather than using Zapier, consider using the webhook subscription endpoints instead.